

package gov.va.med.cds.request;


import gov.va.med.cds.exception.ErrorCodeEnum;


/**
 * 
 * Exception thrown in case of validation errors.
 * 
 */

public class ValidationException
    extends
        RequestProcessingException
{
    private static final long serialVersionUID = 8461337765463273051L;


    public ValidationException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }


    public ValidationException( ErrorCodeEnum errorCodeName, String... messages )
    {
        super( errorCodeName, messages );
    }


    public ValidationException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }
}
